Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer
Class TransformerChain

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageAwareTransformer
              org.mule.transformer.TransformerChain

All Implemented Interfaces:
  MuleContextAware, Initialisable, NamedObject, BaseTransformer, Transformer

    public class TransformerChain

extends AbstractMessageAwareTransformer

A referencable chain of transformers that can be used as a single transformer

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, muleContext, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`TransformerChain(List<Transformer> transformers)`
`TransformerChain(String name, List<Transformer> transformers)`
`TransformerChain(String name, Transformer... transformers)`
`TransformerChain(Transformer... transformers)`

Method Summary
`void` | `initialise()` Template method where deriving classes can do any initialisation after the properties have been set on this transformer
`void` | `setEndpoint(ImmutableEndpoint endpoint)` Sets the endpoint associated with with this connector.
`void` | `setMuleContext(MuleContext muleContext)`
`Object` | `transform(MuleMessage message, String outputEncoding)`

Methods inherited from class org.mule.transformer.AbstractMessageAwareTransformer
`doTransform, isSourceTypeSupported`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEncoding, getEndpoint, getName, getReturnClass, getSourceTypes, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, registerSourceType, setIgnoreBadInput, setName, setReturnClass, toString, transform, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformerChain

    public TransformerChain(List<Transformer> transformers)

### TransformerChain

    public TransformerChain(Transformer... transformers)

### TransformerChain

    public TransformerChain(String name,
                            List<Transformer> transformers)

### TransformerChain

    public TransformerChain(String name,
                            Transformer... transformers)

Method Detail

### transform

    public Object transform(MuleMessage message,
                            String outputEncoding)
                     throws TransformerException

  Specified by:
    `transform` in class `AbstractMessageAwareTransformer`
  Throws:
    `TransformerException`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from class: `AbstractTransformer`
  Template method where deriving classes can do any initialisation after the properties have been set on this transformer

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractTransformer`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### setMuleContext

    public void setMuleContext(MuleContext muleContext)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`
  Overrides:
    `setMuleContext` in class `AbstractTransformer`

### setEndpoint

    public void setEndpoint(ImmutableEndpoint endpoint)

  Description copied from interface: `BaseTransformer`
  Sets the endpoint associated with with this connector. This should be idempotent, since endpoints do not guarantee it will only be called once.

  Specified by:
    `setEndpoint` in interface `BaseTransformer`
  Overrides:
    `setEndpoint` in class `AbstractTransformer`
  Parameters:
    `endpoint` - sets the endpoint associated with the transfromer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.